Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04308 Interface Minor Always Apr 13, 2011, 23:55 Feb 22, 2014, 03:41
Tester Kale View Status Public Platform MAME (Self-compiled)
Assigned To AWJ Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved Driver
Version 0.142 Fixed in Version 0.153 Build Normal
Summary 04308: .INP playback fails (Out of Sync) when paused during recording.
Description When you pause during a -record of an .INP file, in past MAME build, the playback didn't raise an eye to this. Current behavior causes the playback to stop, throwing up an "Playback Ended / Reason: Out of Sync" popup.


Steps To Reproduce
Additional Information Regression is SVN r11464 (emu_timers to object conversion)
Flags
Regression Version 0.141u2
Affected Sets / Systems
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
3
User avatar
No.07388
mahlemiut
Developer
Apr 22, 2011, 00:19
I get an Out of Sync message when pausing during playback also. I'd figure the elapsed emulation time isn't stopping when MAME is paused.
User avatar
No.07688
georgc3
Tester
Aug 12, 2011, 03:30
edited on: Aug 12, 2011, 03:39
I'm also getting that .inp playback file goes out of sync when I used Save States on any game in general. I was hoping it will do some Re-Recording (using save states to override the previous frame input while recording into a .inp playback file). I tested it with 1942 arcade game.

User avatar
No.07833
mahlemiut
Developer
Oct 15, 2011, 01:33
With a closer look, it seems like the time (from machine.time()) is rounded up a bit when paused. Time does stop, but it's still wrong. Haven't found where this occurs in the code, as yet.